Bug 839955 - Regression: spotify under wine-1.5.8-1
Regression: spotify under wine-1.5.8-1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
17
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 05:45 EDT by Toni
Modified: 2012-08-18 14:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-18 14:29:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni 2012-07-13 05:45:30 EDT
Description of problem:

After the update to wine-1.5.8, Spotify does not render properly. Non-animated regions of the window appear black. The rest of the application works. Reinstalling spotify (in a clean wineprefix) did not solve.  wine-1.5.2 worked properly.


Version-Release number of selected component (if applicable):
1.5.8


How reproducible:



Steps to Reproduce:
1. Install wine
2. Download and install spotify
3. Run spotify
  
Actual results:
Window appears mostly black

Expected results:
Window should render properly

Additional info:
Using an Intel 915 card with xorg-intel (in fallback mode).
Comment 1 Toni 2012-08-03 04:54:08 EDT
Appears to be fixed by updating to xorg-x11-drv-intel 2.20.1 and setting  

Option "AccelMethod" "sna"
Comment 2 Michael Cronenworth 2012-08-18 14:29:47 EDT
Yes, video driver bugs can cause apps to render improperly. Not a Wine bug.

Note You need to log in before you can comment on or make changes to this bug.